#div-1{
	background-color: green;
	/*div display block by default*/
	display: block;
}

#span-1{
	/*span display inline by default*/
	background-color: purple;
	display: inline;
}

#div-2{
	background-color: red;
	display: block;
}

#span-2{
	background-color: hotpink;
	display: inline;
}

#img{
	width: 250px;
	height: 250px;
}

/*We can use hex code, rgb, and direct*/
#p-1{
	background-color: #87CEFA;
}

#p-2{
	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p-3{
	background-color: yellow;
	width: 40%;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

.img-float{
	width: 250px;
	height: 250px;
	/*inherit, right, left*/
	float: inherit;
}

.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent{
	width: 50%;
}

.one-hundred-pixels{
	width: 100px;
}

.parent{
	width: 135px;
	border: 2px solid navy;
}

.background{
	min-height: 20rem;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);;
	background-repeat: no-repeat;
	background-size: 50%;
	background-position: center top;
	/*values scroll and fixed*/
	background-attachment: scroll;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 10rem;
}

.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	/*viewport height = screen height*/
	min-height: 100vh;
}

.parent-element{
	background-color: skyblue;
	padding: 10px;
	position: relative;
}

.child-1{
	background-color: gray;
	padding: 10px;
}

.child-2{
	background-color: yellow;
	padding: 10px;
	left: 10px;
	bottom: 10px;
	/*position values = static, relative, absolute. fixed, sticky*/
	position: fixed;
}

.child-3{
	background-color: gray;
	padding: 10px;
}

.container{
	position: relative;
}

.black-box{
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
	background-color: black;
	color: white;

}

.gray-box{
	position: relative;
	z-index: 2;
	border: 2px solid gray;
	height: 100px;
	margin: 30px;
	background-color: gray;
	color: black;
	
}